Subject: bug#26238: core-updates: Fix time zone bug in `date` 8.26

From: Marius Bakke <[email-masked]>
Date: Sun, 26 Mar 2017 22:29:38 +0200

Leo Famulari <[email-masked]> writes:

> On Sun, Mar 26, 2017 at 08:45:25AM +0200, Marius Bakke wrote:
>> Leo Famulari <[email-masked]> writes:
>> 
>> > After discussion on #guix, Ludovic and I decided to try grafting
>> > coreutils to fix a bug in `date` that breaks converting between time
>> > zones.
>> >
>> > https://gnunet.org/bot/log/guix/2017-03-24#T1333113
>> 
>> How serious is this problem? Maybe we can try to do another core-updates
>> round immediately after the current iteration is merged. Is it something
>> we can live with for 3-4 weeks?
>
> It breaks converting between time zones using the `date` command.
>
> https://bugs.debian.org/851934
>
> As a person who screwed something up once because of a botched time zone
> conversion, I'd rather fix it :)
>
> But I understand if there is a strong objection to this graft.

I don't object to the graft, as it does sound like a serious regression.
My reaction was mostly a "flight" response after seeing the gnulib patch
that this depends upon (the parse_datetime2 API change).

https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4e6e16b3f43ce96302b1e52e48730c1f15e18c14

Are you working on backporting it?